<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.48.10.32
Name: Alkoholabusus (medmgmt)
Description: Dokumentation eines (auch historischen) Alkoholabusus, um die Verordnung alkoholgelöster Arzneimittel nach Möglichkeit zu vermeiden. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514">
   <title>Alkoholabusus (medmgmt)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]
Item: (Alkoholabusus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]
Item: (Alkoholabusus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]"
         id="d41e8496-false-d33617e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="string(@classCode) = ('OBS')">(Alkoholabusus): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="string(@moodCode) = ('EVN')">(Alkoholabusus): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']) &gt;= 1">(Alkoholabusus): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']) &lt;= 1">(Alkoholabusus): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32'] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="count(hl7:code[(@code = '74043-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt; 1">(Alkoholabusus): Element hl7:code ist codiert mit Bindungsstärke 'preferred' und enthält ein Code außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="count(hl7:code[(@code = '74043-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Alkoholabusus): Element hl7:code[(@code = '74043-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Alkoholabusus): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Alkoholabusus): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Alkoholabusus): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']
Item: (Alkoholabusus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']"
         id="d41e8502-false-d33671e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholabusus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.48.10.32')">(Alkoholabusus): Der Wert von root MUSS '2.16.840.1.113883.3.1937.99.61.48.10.32' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:id
Item: (Alkoholabusus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:id"
         id="d41e8507-false-d33685e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholabusus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:code[(@code = '74043-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Alkoholabusus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:code[(@code = '74043-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e8509-false-d33696e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholabusus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="@nullFlavor or (@code='74043-1' and @codeSystem='2.16.840.1.113883.6.1')">(Alkoholabusus): Der Elementinhalt MUSS einer von 'code '74043-1' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:statusCode[@code = 'completed']
Item: (Alkoholabusus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:statusCode[@code = 'completed']"
         id="d41e8515-false-d33713e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholabusus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="@nullFlavor or (@code='completed')">(Alkoholabusus): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:effectiveTime
Item: (Alkoholabusus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.32']]/hl7:effectiveTime"
         id="d41e8520-false-d33729e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20200419T173536/tmp-2.16.840.1.113883.3.1937.99.61.48.10.32-2019-09-19T221514.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholabusus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
